Bug 188297 - [PATCH] Fix for security/truecrypt build segfault
[PATCH] Fix for security/truecrypt build segfault
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ryan Steinmetz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-05 19:10 UTC by Cy.Schubert
Modified: 2014-04-09 03:30 UTC (History)
0 users

See Also:


Attachments
file.diff (417 bytes, patch)
2014-04-05 19:10 UTC, Cy.Schubert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cy.Schubert 2014-04-05 19:10:00 UTC
Fix for truecrypt segfault during build.

How-To-Repeat: Trye building truecrypt.
Comment 1 Edwin Groothuis freebsd_committer 2014-04-06 00:02:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2014-04-09 03:28:48 UTC
Author: zi
Date: Wed Apr  9 02:28:44 2014
New Revision: 350662
URL: http://svnweb.freebsd.org/changeset/ports/350662
QAT: https://qat.redports.org/buildarchive/r350662/

Log:
  - Fix build segfault under 10
  - Bump PORTREVISION
  
  PR:		ports/188297
  Submitted by:	cy@
  Approved by:	portmgr (bdrewery)

Modified:
  head/security/truecrypt/Makefile

Modified: head/security/truecrypt/Makefile
==============================================================================
--- head/security/truecrypt/Makefile	Wed Apr  9 02:19:06 2014	(r350661)
+++ head/security/truecrypt/Makefile	Wed Apr  9 02:28:44 2014	(r350662)
@@ -3,7 +3,7 @@
 
 PORTNAME=	truecrypt
 PORTVERSION=	7.1a
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	security
 MASTER_SITES=	SF/wxwindows/${WX_VER}/:wxwidgets \
 		ftp://ftp.rsasecurity.com/pub/pkcs/pkcs-11/v2-20/:rsa \
@@ -24,7 +24,6 @@ RUN_DEPENDS=	sudo:${PORTSDIR}/security/s
 WRKSRC=		${WRKDIR}/truecrypt-${PORTVERSION}-source
 
 USES=		fuse iconv pkgconfig
-USE_GCC=	any
 USE_GMAKE=	yes
 RESTRICTED=	May not be redistributed.  Must accept license to download.
 NO_CDROM=	May not be redistributed.  Must accept license to download.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ryan Steinmetz freebsd_committer 2014-04-09 03:28:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!